<?php
// Version 2007-12-07
if (!class_exists('wpseos_Abstraction')) {
    class wpseos_Abstraction {
		
		var $DP_WPA_ADMIN_MENU = 'admin_menu';
		var $DP_WPA_WP_HEAD = 'wp_head';
		var $DP_WPA_WP_FOOTER = 'wp_footer';
		var $DP_WPA_WP_LIST_PAGES = 'wp_list_pages';
		var $DP_WPA_THE_CONTENT = 'the_content';
		var $DP_WPA_THE_TITLE = 'the_title';
		var $DP_WPA_THE_EXCERPT = 'the_excerpt';
		var $DP_WPA_GET_THE_TITLE = 'get_the_title';
		var $DP_WPA_WIDGET_TEXT = 'widget_text';
		var $DP_WPA_THE_POSTS = 'the_posts';
		var $DP_WPA_LOGINOUT = 'loginout';
		var $DP_WPA_REGISTER = 'register';
		var $DP_WPA_WP_LIST_CATEGORIES = 'wp_list_categories';
		var $DP_WPA_WP_DROPDOWN_CATS = 'wp_dropdown_cats';
		var $DP_WPA_WP_GENERATE_TAG_CLOUD = 'wp_generate_tag_cloud';
		var $DP_WPA_THE_TAGS = 'the_tags';
		var $DP_WPA_TERM_LINKS_POST_TAG = 'term_links-post_tag';
		var $DP_WPA_THE_CATEGORY = 'the_category';
		var $DP_WPA_SINGLE_POST_TITLE = 'single_post_title';
		var $DP_WPA_WP_TITLE = 'wp_title';
		var $DP_WPA_STATUS_HEADER = 'status_header';
		var $DP_WPA_WP = 'wp';
		var $DP_WPA_INIT = 'init';
		var $DP_WPA_GET_PAGES = 'get_pages';
		var $DP_WPA_STATIC = 'static';

		var $DP_WPA_PAGE = 'page';
		var $DP_WPA_SHOW_ON_FRONT = 'show_on_front';
		var $DP_WPA_PAGE_ON_FRONT = 'page_on_front';
		
		var $DP_WPA_EDIT_PAGE_FORM = 'edit_page_form';
		var $DP_WPA_EDIT_FORM_ADVANCED = 'edit_form_advanced';
		var $DP_WPA_SIMPLE_EDIT_FORM = 'simple_edit_form';
		var $DP_WPA_EDIT_POST = 'edit_post';
		var $DP_WPA_SAVE_POST = 'save_post';
		var $DP_WPA_PUBLISH_POST = 'publish_post';
		var $DP_WPA_PLUGIN_PRIORITY = 10;
		var $DP_WPA_PAGE_EDIT_URL = 'page.php';
		var $DP_WPA_PAGE_NEW_URL = 'page-new.php';
		var $DP_WPA_POST_EDIT_URL = 'post.php';
		var $DP_WPA_POST_NEW_URL = 'post-new.php';
		
		// WordPress Functions Abstract Layer - Begin
		function dp_wpa_get_permalink($id = 0) {
			if (function_exists('get_permalink')) {
				return get_permalink($id);
			} else {
				return '';
			}
		}
		function dp_wpa_get_post_meta($page_id, $option, $flag = true) {
			if (function_exists('get_post_meta')) {
				return get_post_meta($page_id, $option, $flag);
			} else {
				return '';
			}
		}
		function dp_wpa_is_rss() {
			if (function_exists('is_rss')) {
				return is_rss();
			} else {
				return false;
			}
		}
		function dp_wpa_is_home() {
			if (function_exists('is_home')) {
				return is_home();
			} else {
				return false;
			}
		}
		function dp_wpa_is_page() {
			if (function_exists('is_page')) {
				return is_page();
			} else {
				return false;
			}
		}
		function dp_wpa_is_single() {
			if (function_exists('is_single')) {
				return is_single();
			} else {
				return false;
			}
		}
		function dp_wpa_is_category() {
			if (function_exists('is_category')) {
				return is_category();
			} else {
				return false;
			}
		}
		function dp_wpa_is_date() {
			if (function_exists('is_date')) {
				return is_date();
			} else {
				return false;
			}
		}
		function dp_wpa_is_tag() {
			if (function_exists('is_tag')) {
				return is_tag();
			} else {
				return false;
			}
		}
		function dp_wpa_is_archive() {
			if (function_exists('is_archive')) {
				return is_archive();
			} else {
				return false;
			}
		}
		function dp_wpa_bloginfo($option = '') {
			if (function_exists('bloginfo')) {
				bloginfo($option);
			} else {
				echo '';
			}
		}
		function dp_wpa_get_bloginfo($option = '') {
			if (function_exists('get_bloginfo')) {
				return get_bloginfo($option);
			} else {
				return '';
			}
		}
		function dp_wpa_category_description() {
			if (function_exists('category_description')) {
				return category_description();
			} else {
				return '';
			}
		}
		function dp_wpa_get_the_category($id = false) {
			if (function_exists('get_the_category')) {
				return get_the_category($id);
			} else {
				return '';
			}
		}
		function dp_wpa_get_category_link($category_id) {
			if (function_exists('get_category_link')) {
				return get_category_link($category_id);
			} else {
				return '';
			}
		}
		function dp_wpa_single_tag_title($tag, $flag) {
			if (function_exists('single_tag_title')) {
				return single_tag_title($tag, $flag);
			} else {
				return '';
			}
		}
		function dp_wpa_get_global_post_id() {
			global $post;
			return $post->ID;
		}
		function dp_wpa_get_global_post_content() {
			global $post;
			return $post->post_content;
		}
		function dp_wpa_get_global_paged() {
			global $paged;
			return $paged;
		}
		function dp_wpa_get_global_id() {
			global $id;
			return $id;
		}
		function dp_wpa_add_action($hook, $action) {
			if (function_exists('add_action')) {
				add_action($hook, $action);
			}
		}
		function dp_wpa_register_activation_hook($hook, $action) {
			if (function_exists('register_activation_hook')) {
				register_activation_hook($hook, $action);
			}
		}
		function dp_wpa_add_filter($hook, $action, $priority = 10, $accepted_args = 1) {
			if (function_exists('add_filter')) {
				add_filter($hook, $action, $priority, $accepted_args);
			}
		}
		function dp_wpa_add_options_page($name1, $name2, $priority, $file, $page) {
			if (function_exists('add_options_page')) {
				add_options_page($name1, $name2, $priority, $file, $page);
			}
		}
		function dp_wpa_get_locale() {
			if (function_exists('get_locale')) {
				return get_locale();
			} else {
				return '';
			}
		}
		function dp_wpa_load_textdomain($textdomain, $mofile) {
			if (function_exists('load_textdomain')) {
				load_textdomain($textdomain, $mofile);
			}
		}
		function dp_wpa_get_option($option_name = '') {
			if (function_exists('get_option')) {
				return get_option($option_name);
			} else {
				return '';
			}
		}
		function dp_wpa_update_option($option_name = '', $option = '') {
			if (function_exists('update_option')) {
				$return = update_option($option_name, $option);
			} else {
				$return = false;
			}
			$this->dp_wpa_wp_cache_flush();
			return $return;
		}
		function dp_wpa_fade_options_message($message = '') {
			echo '<div id="message" class="updated fade"><p><strong>';
			echo $message;
			echo '</strong></p></div>';
		}
		function dp_wpa_error_message($message = '') {
			echo '<div id="message" class="error"><p><strong>';
			echo $message;
			echo '</strong></p></div>';
		}
		function dp_wpa_update_post_meta($id, $option_name, $option) {
			if (function_exists('update_post_meta')) {
				$meta_value = update_post_meta($id, $option_name, $option);
			} else {
				$meta_value = false;
			}
			if (!$meta_value) {
				if (function_exists('add_post_meta')) {
					add_post_meta($id, $option_name, $option);
				}
			}
			$this->dp_wpa_wp_cache_flush();
		}
		function dp_wpa_wp_cache_flush() {
			if (function_exists('wp_cache_flush')) {
				wp_cache_flush();
			}
		}
		function dp_wpa_wp_title() {
			if (function_exists('wp_title')) {
				wp_title();
			} else {
				echo '';
			}
		}
		function dp_wpa_get_the_title() {
			if (function_exists('get_the_title')) {
				return get_the_title();
			} else {
				return '';
			}
		}
		function dp_wpa_get_pages($option = '') {
			if (function_exists('get_pages')) {
				return get_pages($option);
			} else {
				return '';
			}
		}
		function dp_wpa_custom_get_all_pages($args = '') {
			global $wpdb;
			$defaults = array(
				'child_of' => 0, 'sort_order' => 'ASC',
				'sort_column' => 'post_title', 'hierarchical' => 1,
				'exclude' => '', 'include' => '',
				'meta_key' => '', 'meta_value' => '',
				'authors' => ''
			);
			$r = $this->dp_wpa_wp_parse_args( $args, $defaults );
			extract( $r, EXTR_SKIP );
			$query = "SELECT * FROM $wpdb->posts " ;
			$query .= ( empty( $meta_key ) ? "" : ", $wpdb->postmeta " ) ;
			$query .= " WHERE ((post_type = 'page' AND post_status = 'publish') OR post_status = 'static') $exclusions $inclusions " ;
			$query .= ( empty( $meta_key ) | empty($meta_value)  ? "" : " AND ($wpdb->posts.ID = $wpdb->postmeta.post_id AND $wpdb->postmeta.meta_key = '$meta_key' AND $wpdb->postmeta.meta_value = '$meta_value' )" ) ;
			$query .= $author_query;
			$query .= " ORDER BY " . $sort_column . " " . $sort_order ;
			$pages = $wpdb->get_results($query);
			return $pages;
		}
		function dp_wpa_wp_rel_nofollow($link) {
			if (function_exists('wp_rel_nofollow')) {
				return wp_rel_nofollow($link);
			} else {
				return $link;
			}
		}
		function dp_wpa_wp_get_single_post($id) {
			if (function_exists('wp_get_single_post')) {
				return wp_get_single_post($id);
			} else {
				return '';
			}
		}
		function dp_wpa_get_post_status($id) {
			if (function_exists('get_post_status')) {
				return get_post_status($id);
			} else {
				return '';
			}
		}
		function dp_wpa_wp_specialchars($text) {
			if (function_exists('wp_specialchars')) {
				return wp_specialchars($text);
			} else {
				return $text;
			}
		}
		function dp_wpa_wp_register($option1, $option2) {
			if (function_exists('wp_register')) {
				wp_register($option1, $option2);
			} else {
				echo '';
			}
		}
		function dp_wpa_wp_loginout() {
			if (function_exists('wp_loginout')) {
				wp_loginout();
			} else {
				echo '';
			}
		}
		function dp_wpa_isthishome() {
			if ($this->dp_wpa_is_home()) {
				return true;
			} else {
				global $post; 
				$id = $post->ID;
				$option_show_on_front = $this->dp_wpa_get_option($this->DP_WPA_SHOW_ON_FRONT);
				$option_page_on_front = $this->dp_wpa_get_option($this->DP_WPA_PAGE_ON_FRONT);
				if ($option_show_on_front == $this->DP_WPA_PAGE and $option_page_on_front == $id ) {
					return true;
				} else {
					return false;
				}
			}
		}
		function dp_wpa_wp_parse_args( $args, $defaults = '' ) {
			if (function_exists('wp_parse_args')) {
				return wp_parse_args( $args, $defaults );
			} else {
				if ( is_object($args) )
					$r = get_object_vars($args);
				else if ( is_array( $args ) )
					$r =& $args;
				else
					$this->dp_wpa_wp_parse_str( $args, $r );

				if ( is_array( $defaults ) )
					return array_merge( $defaults, $r );
				else
					return $r;
			}
		}
		function dp_wpa_wp_parse_str( $string, &$array ) {
			if (function_exists('wp_parse_str')) {
				wp_parse_str( $string, $array );
			} else {
				parse_str( $string, $array );
				if ( get_magic_quotes_gpc() )
					$array = $this->dp_wpa_stripslashes_deep( $array );
			}
		}
		function dp_wpa_stripslashes_deep($value) {
			if (function_exists('stripslashes_deep')) {
				return stripslashes_deep( $value );
			} else {
				if (is_array($value)) {
					foreach ($value as $val) {
						$val = stripslashes($val);
					}
				} else {
					$value = stripslashes($value);
				}
				return $value;
			}
		}
		// WordPress Functions Abstract Layer - End
	}
}

?>