<?php
?>
<div class="wrap">
<h2><?php echo $this->WPSEOS_PLUGIN_NICE_NAME . ' ' . __('General Options', $this->WPSEOS_TEXTDOMAIN); ?></h2>
<form name="wpseosoptions" method="post">
<p class="submit">
<input type="submit" name="<?php echo $this->WPSEOS_SUBMIT_INFO_UPDATE; ?>" value="<?php _e('Update Options &raquo;') ?>" />
</p>
<fieldset class="options">
<legend><?php _e('Main Index Page', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Noindex the second and subsequent pages of the main index:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_MAIN_INDEX_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_MAIN_INDEX_NI]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("When the number of posts on the blog exceeds the number of posts displayed on the main index page, WordPress makes more than one page (usually reachable with an \"Older\" or \"Next\" link. This option will prevent spiders from indexing the second and subsequent pages. It minimizes duplicate content issues between the index pages and individual posts.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Nofollow links to the main index page on all the blog pages:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_MAIN_INDEX_HOMENF; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_MAIN_INDEX_HOMENF]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("Putting nofollow on all the internal links to the blog home page makes sense if you want to preserve as much PageRank to be shared at the lower levels (archive pages, individual posts, etc.). The blog home page will receive most of its PageRank from external links that point to it. However, do not check this option if you want to give the blog page as much as possible PageRank, even from internal pages.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Additional ROBOTS directives for the main index page:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_ROBOTS_ADDITIONAL; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_ROBOTS_ADDITIONAL])); ?>" />
<br />
<span style="font-size:80%"><?php _e("Example: noodp, noarchive, noydir, nofollow. <u>Do not</u> include \"noindex\" in this text box.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Page TITLE for the main index page:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_MAIN_INDEX_PT; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_MAIN_INDEX_PT])); ?>" />
<br />
<span style="font-size:80%"><?php _e("The blog name will be used if you leave this field blank.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('META description for the main index page:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_MAIN_DESCRIPTION; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_MAIN_DESCRIPTION])); ?>" />
<br />
<span style="font-size:80%"><?php _e("The Tagline that you entered under Options, General will be used if you leave this field empty.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('META keywords for the main index page:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_MAIN_KEYWORDS; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_MAIN_KEYWORDS])); ?>" />
<br />
<span style="font-size:80%"><?php _e("Keywords separated by commas.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Categories', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Noindex the second and subsequent pages of the category pages:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_CATEGORIES_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_CATEGORIES_NI] == "1") echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("When the number of posts within a category exceeds the number of posts displayed on the category archive page, WordPress makes more than one page (usually reachable with an \"Older\" or \"Next\" link. This option will prevent spiders from indexing the second and subsequent pages. It minimizes duplicate content issues between the category pages and individual posts.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Nofollow category links on the category pages:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_CATEGORY_PAGES_NF; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_CATEGORY_PAGES_NF]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("This option implements Dan Thies' <i>third level push</i> by nofollowing the links to other categories that appear on category pages. It makes more PageRank available that's \"pushed down\" to the individual posts.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Nofollow category links on the individual posts:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_CATEGORY_POST_NF; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_CATEGORY_POST_NF]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("This option implements Dan Thies' <i>aggressive third level push</i> by nofollowing the links to categories on the individual post, except for post's parent categories. It makes more PageRank available that can be shared at the individual post level.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Nofollow category links on the individual pages:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_CATEGORY_PAGE_NF; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_CATEGORY_PAGE_NF]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("This option adds to Dan Thies' <i>aggressive third level push</i> by nofollowing the links to all categories on the individual page level. It makes more PageRank available that can be shared at the individual page level.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Date Archives', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Noindex the second and subsequent pages of the date archives:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_DATES_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_DATES_NI] == "1") echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("When the number of posts within a date archive exceeds the number of posts displayed on the first date archive page, WordPress makes more than one page (usually reachable with an \"Older\" or \"Next\" link. This option will prevent spiders from indexing the second and subsequent pages. It minimizes duplicate content issues between the date archive pages and individual posts.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Archive Pages', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Noindex the second and subsequent pages of all the archives:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_ARCHIVES_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_ARCHIVES_NI]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("This option the same noindex of second and subsequent pages of archives, except that it does it for all other archives, such as Author, and Tag. It <u>does not</u> override the settings you chose above for Category and Date.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Tags (WordPress 2.3.x and later only)', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row">&nbsp;</th>
<td valign="top"> 
<span style="font-size:80%"><?php _e('Note: These options have no effect on Ultimate Tag Warrior tags. They affect only WordPress tags.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Noindex all tag archives:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_TAGS_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_TAGS_NI]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("The value of having the blog's Tag archives indexed is debatable, and with this option you can prevent all the Tag archives from being indexed.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Nofollow all internal tag links:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_TAGS_NI; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_TAGS_NI]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("If you checked the previous option, then definitely check this option as well. If you decided that you want Tag archives to be indexed, you can still minimize the flow of PageRank to those archives by nofollowing the links to the Tag archives.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Footer (Bottom) Page Menu', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Automatically build the footer page menu:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_FOOTER_MENU; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_FOOTER_MENU]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e('Footer links can be a challenge to correctly follow and nofollow. Hence, the plugin can create a footer for you that respects your follow and nofollow decisions. If enabled, ensure that a call is made to wp_footer() in your Theme files. You can also manually insert WP SEO Sniper footer links with &lt;?php if (function_exists(&#39;wpseosniper_footer_links&#39;)) wpseosniper_footer_links() ?&gt;.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Include a link to the main index page in the footer menu:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_FOOTER_MENU_HOME; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_FOOTER_MENU_HOME]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e('This link will respect the Main Index Page nofollow options that you selected.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Include the WordPress login/register links in the footer menu:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_FOOTER_MENU_LOGIN; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_FOOTER_MENU_LOGIN]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e('The WordPress login and register links are always nofollowed by the plugin, regardless where they appear. Having the login page and register page indexed and receiving PageRank is generally an utter waste of PageRank.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Include a copyright message in the footer menu:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_FOOTER_MENU_COPY; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_FOOTER_MENU_COPY]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e('Copyright &copy; Year Blog Name. This is a nice to have option that has nothing to do with SEO, but since the plugin is creating the footer...', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Menu item separator text:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_FOOTER_SEP; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_FOOTER_SEP])); ?>" />
<br />
<span style="font-size:80%"><?php _e('If you want spaces on both sides of the menu item separator, include the spaces here.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Code to insert before footer links:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_FOOTER_B; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_FOOTER_B])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Code to insert after footer links:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_FOOTER_A; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_FOOTER_A])); ?>" />
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Page and Post Cross Linking', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row">&nbsp;</th>
<td valign="top"> 
<span style="font-size:80%"><?php _e('These are options where you configure how you want the cross-linked post and page links to look like inside the content of a post or page. In Dan Thies terminology it\'s the <i>Tiered Pairing</i> and <i>Circular Navigation</i> methods. Selecting the posts or pages to link to is done when you Write or Edit an individual post or page.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Heading text for link section on pages:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_PAGE_H; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_PAGE_H])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Heading text for link section on posts:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_POST_H; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_POST_H])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('HTML code to insert before the group of pages or posts:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_GROUP_B; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_GROUP_B])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('HTML code to insert after the group of pages or posts:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_GROUP_A; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_GROUP_A])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('HTML code to insert before each page or post link:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_EACH_B; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_EACH_B])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('HTML code to insert after each page or post link:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_XLINK_EACH_A; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_XLINK_EACH_A])); ?>" />
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Google', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row">&nbsp;</th>
<td valign="top"> 
<span style="font-size:80%"><?php _e('These are optional and nice to have options to save you the trouble of editing the Theme files to include this stuff.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Google Webmasters Site Verification META Tag:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_GOOGLE_WEBMASTERS; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_GOOGLE_WEBMASTERS])); ?>" />
<br />
<span style="font-size:80%"><?php _e('Copy & paste the entire META tag from your Google Webmasters screen.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Google Analytics code:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<textarea name="<?php echo $this->WPSEOS_GOOGLE_ANALYTICS; ?>" cols="50" rows="5"><?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS])); ?></textarea>
<br />
<span style="font-size:80%"><?php _e('Copy & paste the entire code section that Google Analytics generated.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Include the Google Analytics code in:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input name="<?php echo $this->WPSEOS_GOOGLE_ANALYTICS_HF; ?>" type="radio" value="<?php echo $this->WPSEOS_GOOGLE_ANALYTICS_H; ?>" <?php if ($plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS_HF] == $this->WPSEOS_GOOGLE_ANALYTICS_H) echo "checked='checked'"; ?> />&nbsp;&nbsp; <?php _e('Include in &lt;head&gt;', $this->WPSEOS_TEXTDOMAIN) ?><br />
<input name="<?php echo $this->WPSEOS_GOOGLE_ANALYTICS_HF; ?>" type="radio" value="<?php echo $this->WPSEOS_GOOGLE_ANALYTICS_F; ?>" <?php if ($plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS_HF] == $this->WPSEOS_GOOGLE_ANALYTICS_F) echo "checked='checked'"; ?> />&nbsp;&nbsp; <?php _e('Include in blog footer', $this->WPSEOS_TEXTDOMAIN) ?>
<br />
<span style="font-size:80%"><?php _e('If you want to do advanced Analytics tracking with calls to urchinTracker and other advanced Analytics functions, then select the &lt;head&gt; option, otherwise put the Analytics code in the footer.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Web Page Titles', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Include the blog name in the title:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_TITLE_BLOGNAME; ?>" value="checkbox" <?php if ($plugin_options[$this->WPSEOS_TITLE_BLOGNAME]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e('This option depends on your personal preference. If included, the blog name will be at the <u>end</u> of the TITLE, not the beginning. The plugin manipulates the text that\'s output by the WordPress wp_head() function. For optimal operation, ensure that your Theme header.php file has a call only to wp_head(). Many Themes have a hardcoded call to blog_info(\'name\'), and it\'s recommended that you remove that.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Separator to use between title and blog name:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_TITLE_SEP; ?>" value="<?php echo stripslashes(htmlentities($plugin_options[$this->WPSEOS_TITLE_SEP])); ?>" />
</td>
</tr>
</table>
</fieldset>
<p class="submit" style="text-align:center">
<input type="submit" name="<?php echo $this->WPSEOS_SUBMIT_LOAD_MILD; ?>" value="<?php _e('Load Mild Defaults &raquo;') ?>" />
<input type="submit" name="<?php echo $this->WPSEOS_SUBMIT_LOAD_MODERATE; ?>" value="<?php _e('Load Moderate Defaults &raquo;') ?>" />
<input type="submit" name="<?php echo $this->WPSEOS_SUBMIT_LOAD_AGGRESSIVE; ?>" value="<?php _e('Load Aggressive Defaults &raquo;') ?>" />
</p>
<p class="submit">
<input type="submit" name="<?php echo $this->WPSEOS_SUBMIT_INFO_UPDATE; ?>" value="<?php _e('Update Options &raquo;') ?>" />
</p>
</form>
<p style="text-align:center"><strong>Important:</strong> The content of all the text boxes above can be spun if you have the <a href="http://www.wpspinner.com/" target="_blank">WP Spinner</a> plugin installed and activated.</p>
</div>
