<?php
if (!class_exists('wpseos')) {
    class wpseos extends wpseos_base {
		
	    function wpseos(){
			$this->wpseos_base_init();

			$this->plugin_options = $this->get_plugin_options();

			$wpseos_locale = $this->dp_wpa_get_locale();
			$wpseos_mofile = dirname(__FILE__) . "/languages/wpseos-".$wpseos_locale.".mo";
			$this->dp_wpa_load_textdomain($this->WPSEOS_TEXTDOMAIN, $wpseos_mofile);

			global $wpdb;
			$this->db_table_name = $wpdb->prefix . $this->WPSEOS_TABLE_PREFIX; 
			
			if (is_admin()) {
				$this->dp_wpa_add_action($this->DP_WPA_ADMIN_MENU, array(&$this,'add_admin_pages'));
				$this->dp_wpa_register_activation_hook(__FILE__,array(&$this,"install_on_activation"));
				$this->dp_wpa_add_action($this->DP_WPA_EDIT_PAGE_FORM, array(&$this,'wpseos_edit_page_form'));
				$this->dp_wpa_add_action($this->DP_WPA_EDIT_FORM_ADVANCED, array(&$this,'wpseos_edit_page_form'));
				$this->dp_wpa_add_action($this->DP_WPA_SIMPLE_EDIT_FORM, array(&$this,'wpseos_edit_page_form'));
				$this->dp_wpa_add_action($this->DP_WPA_EDIT_POST, array(&$this,'wpseos_save_edit_form'));
				$this->dp_wpa_add_action($this->DP_WPA_SAVE_POST, array(&$this,'wpseos_save_edit_form'));
				$this->dp_wpa_add_action($this->DP_WPA_PUBLISH_POST, array(&$this,'wpseos_save_edit_form'));
			} else {
				$this->dp_wpa_add_action($this->DP_WPA_WP_HEAD, array(&$this, 'wp_head_intercept'));
				$this->dp_wpa_add_action($this->DP_WPA_WP_FOOTER, array(&$this, 'wp_footer_intercept'));
				$this->dp_wpa_add_action($this->DP_WPA_WP_LIST_PAGES, array(&$this, 'wp_list_pages_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_THE_CONTENT, array(&$this, 'the_content_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_THE_POSTS, array(&$this, 'the_posts_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_LOGINOUT, array(&$this, 'loginout_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_REGISTER, array(&$this, 'register_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_WP_LIST_CATEGORIES, array(&$this, 'nofollow_cat_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_WP_DROPDOWN_CATS, array(&$this, 'nofollow_cat_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_WP_GENERATE_TAG_CLOUD, array(&$this, 'nofollow_tag_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_THE_TAGS, array(&$this, 'nofollow_tag_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_TERM_LINKS_POST_TAG, array(&$this, 'nofollow_tag_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_THE_CATEGORY, array(&$this, 'nofollow_post_cat_links_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_SINGLE_POST_TITLE, array(&$this, 'single_post_title_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_WP_TITLE, array(&$this, 'wp_title_intercept'));
				$this->dp_wpa_add_filter($this->DP_WPA_GET_PAGES, array(&$this, 'get_pages_intercept'));
				$this->dp_wpa_add_action($this->DP_WPA_WP, array(&$this, 'action_wp_hookin'));
			}
        }

		function get_plugin_options() {
			$plugin_options = $this->load_aggressive_defaults();
			$plugin_options[$this->WPSEOS_XLINK_PAGE_H] = __('<h3>Related Information</h3>', $this->WPSEOS_TEXTDOMAIN);
			$plugin_options[$this->WPSEOS_XLINK_POST_H] = __('<h3>Related Entries</h3>', $this->WPSEOS_TEXTDOMAIN);
			$plugin_options[$this->WPSEOS_FOOTER_SEP] = ' | ';
			$plugin_options[$this->WPSEOS_FOOTER_B] = '<p>';
			$plugin_options[$this->WPSEOS_FOOTER_A] = '</p>';
			$plugin_options[$this->WPSEOS_XLINK_GROUP_B] = '<ul>';
			$plugin_options[$this->WPSEOS_XLINK_GROUP_A] = '</ul>';
			$plugin_options[$this->WPSEOS_XLINK_EACH_B] = '<li>';
			$plugin_options[$this->WPSEOS_XLINK_EACH_A] = '</li>';

			$saved_options = $this->dp_wpa_get_option($this->WPSEOS_PLUGIN_OPTIONS_NAME);
			if (!empty($saved_options)) {
				foreach ($saved_options as $key => $option) {
					$plugin_options[$key] = $option;
				}
			}
			$this->dp_wpa_update_option($this->WPSEOS_PLUGIN_OPTIONS_NAME, $plugin_options);
			return $plugin_options;
		}

		function load_aggressive_defaults() {
			return array(
			$this->WPSEOS_MAIN_INDEX_NI => true,
			$this->WPSEOS_CATEGORIES_NI => true,
			$this->WPSEOS_CATEGORY_PAGES_NF => true,
			$this->WPSEOS_CATEGORY_POST_NF => true,
			$this->WPSEOS_CATEGORY_PAGE_NF => true,
			$this->WPSEOS_DATES_NI => true,
			$this->WPSEOS_ARCHIVES_NI => true,
			$this->WPSEOS_MAIN_INDEX_HOMENF => true,
			$this->WPSEOS_FOOTER_MENU_HOME => false,
			$this->WPSEOS_FOOTER_MENU_HOMENF => false,
			$this->WPSEOS_FOOTER_MENU_LOGIN => true,
			$this->WPSEOS_FOOTER_MENU_COPY => true,
			$this->WPSEOS_TAGS_NI => true,
			$this->WPSEOS_TAGS_NI => true,
			$this->WPSEOS_TITLE_BLOGNAME => false,
			$this->WPSEOS_TITLE_SEP => $this->WPSEOS_RAQUO,
			$this->WPSEOS_GOOGLE_ANALYTICS_HF => $this->WPSEOS_GOOGLE_ANALYTICS_F
			);
		}

		function load_moderate_defaults() {
			return array(
			$this->WPSEOS_MAIN_INDEX_NI => true,
			$this->WPSEOS_CATEGORIES_NI => true,
			$this->WPSEOS_CATEGORY_PAGES_NF => false,
			$this->WPSEOS_CATEGORY_POST_NF => false,
			$this->WPSEOS_CATEGORY_PAGE_NF => false,
			$this->WPSEOS_DATES_NI => true,
			$this->WPSEOS_ARCHIVES_NI => true,
			$this->WPSEOS_MAIN_INDEX_HOMENF => false,
			$this->WPSEOS_FOOTER_MENU_HOME => false,
			$this->WPSEOS_FOOTER_MENU_HOMENF => false,
			$this->WPSEOS_FOOTER_MENU_LOGIN => true,
			$this->WPSEOS_FOOTER_MENU_COPY => true,
			$this->WPSEOS_TAGS_NI => false,
			$this->WPSEOS_TAGS_NI => true,
			$this->WPSEOS_TITLE_BLOGNAME => true,
			$this->WPSEOS_TITLE_SEP => $this->WPSEOS_RAQUO,
			$this->WPSEOS_GOOGLE_ANALYTICS_HF => $this->WPSEOS_GOOGLE_ANALYTICS_F
			);
		}

		function load_mild_defaults() {
			return array(
			$this->WPSEOS_MAIN_INDEX_NI => true,
			$this->WPSEOS_CATEGORIES_NI => false,
			$this->WPSEOS_CATEGORY_PAGES_NF => false,
			$this->WPSEOS_CATEGORY_POST_NF => false,
			$this->WPSEOS_CATEGORY_PAGE_NF => false,
			$this->WPSEOS_DATES_NI => false,
			$this->WPSEOS_ARCHIVES_NI => false,
			$this->WPSEOS_MAIN_INDEX_HOMENF => false,
			$this->WPSEOS_FOOTER_MENU_HOME => false,
			$this->WPSEOS_FOOTER_MENU_HOMENF => false,
			$this->WPSEOS_FOOTER_MENU_LOGIN => true,
			$this->WPSEOS_FOOTER_MENU_COPY => true,
			$this->WPSEOS_TAGS_NI => false,
			$this->WPSEOS_TAGS_NI => false,
			$this->WPSEOS_TITLE_BLOGNAME => true,
			$this->WPSEOS_TITLE_SEP => $this->WPSEOS_RAQUO,
			$this->WPSEOS_GOOGLE_ANALYTICS_HF => $this->WPSEOS_GOOGLE_ANALYTICS_F
			);
		}

		function add_admin_pages(){
			$this->dp_wpa_add_options_page($this->WPSEOS_PLUGIN_NICE_NAME, $this->WPSEOS_PLUGIN_NICE_NAME, $this->DP_WPA_PLUGIN_PRIORITY, __FILE__, array(&$this,"output_main_admin_page"));
			$this->dp_wpa_add_action($this->DP_WPA_ADMIN_MENU, 'output_main_admin_page');
		}

		function install_on_activation() {
		}

		function wp_head_intercept(){

			if ($this->dp_wpa_is_page()) {

				$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());
				$meta_index = '';
				if ($page_options[$this->WPSEOS_PAGE_NOINDEX]) {
					$meta_index = $meta_index . 'noindex';
				} else {
					$meta_index = $meta_index . 'index';
				}
				if ($page_options[$this->WPSEOS_ROBOTS_ADDITIONAL] != '') {
					$meta_index = $meta_index . ', ' . $page_options[$this->WPSEOS_ROBOTS_ADDITIONAL];
				}
				if ($meta_index != '') {
					echo '<meta name="robots" content="' . stripslashes($meta_index) . '" />' . "\n";
				}
				$this->write_page_keywords($page_options[$this->WPSEOS_PAGE_KEYWORDS]);
				$this->write_page_description($page_options[$this->WPSEOS_PAGE_DESCRIPTION]);
				$this->write_page_css($page_options[$this->WPSEOS_PAGE_CSS]);

			} elseif ($this->dp_wpa_is_single()) {
			
				$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());
				$meta_index = '';
				if ($page_options[$this->WPSEOS_PAGE_NOINDEX]) {
					$meta_index = $meta_index . 'noindex';
				} else {
					$meta_index = $meta_index . 'index';
				}
				if ($page_options[$this->WPSEOS_ROBOTS_ADDITIONAL] != '') {
					$meta_index = $meta_index . ', ' . $page_options[$this->WPSEOS_ROBOTS_ADDITIONAL];
				}
				if ($meta_index != '') {
					echo '<meta name="robots" content="' . stripslashes($meta_index) . '" />' . "\n";
				}
				$this->write_page_keywords($page_options[$this->WPSEOS_PAGE_KEYWORDS]);
				$this->write_page_description($page_options[$this->WPSEOS_PAGE_DESCRIPTION]);
				$this->write_page_css($page_options[$this->WPSEOS_PAGE_CSS]);				
	
			} elseif ($this->dp_wpa_isthishome()) {

				$meta_index = '';
				if ($this->plugin_options[$this->WPSEOS_MAIN_INDEX_NI] and ($this->dp_wpa_get_global_paged() > 1)) {
					$meta_index = $meta_index . 'noindex';
				} else {
					$meta_index = $meta_index . 'index';
				}
				if ($this->plugin_options[$this->WPSEOS_ROBOTS_ADDITIONAL] != '') {
					$meta_index = $meta_index . ', ' . $this->plugin_options[$this->WPSEOS_ROBOTS_ADDITIONAL];
				}
				if ($meta_index != '') {
					echo '<meta name="robots" content="' . stripslashes($meta_index) . '" />' . "\n";
				}
				if ($this->plugin_options[$this->WPSEOS_MAIN_DESCRIPTION] != '') {
					$blog_desc = $this->plugin_options[$this->WPSEOS_MAIN_DESCRIPTION];
				} else {
					$blog_desc = $this->dp_wpa_get_bloginfo('description');
				}
				if ($blog_desc != '') {
					$blog_desc = $this->wpseos_spinthis($blog_desc);
					echo '<meta name="description" content="' . stripslashes($blog_desc) . '" />' . "\n";
				}
				if ($this->plugin_options[$this->WPSEOS_MAIN_KEYWORDS] != '') {
					$this->plugin_options[$this->WPSEOS_MAIN_KEYWORDS] = $this->wpseos_spinthis($this->plugin_options[$this->WPSEOS_MAIN_KEYWORDS]);
					echo '<meta name="keywords" content="' . stripslashes($this->plugin_options[$this->WPSEOS_MAIN_KEYWORDS]) . '" />' . "\n";
				}
				
			} elseif ($this->dp_wpa_is_category()) {
			
				if ($this->plugin_options[$this->WPSEOS_CATEGORIES_NI] and ($this->dp_wpa_get_global_paged() > 1)) {
					echo stripslashes($this->WPSEOS_META_NOINDEX) . "\n";
				} else {
					echo stripslashes($this->WPSEOS_META_INDEX) . "\n";
				}
				$cat_desc = trim(strip_tags($this->dp_wpa_category_description()));
				if ($cat_desc != '') {
					$cat_desc = $this->wpseos_spinthis($cat_desc);
					echo '<meta name="description" content="' . stripslashes($cat_desc) . '" />' . "\n";
				}
	
			} elseif ($this->dp_wpa_is_tag()) {
			
				if ($this->plugin_options[$this->WPSEOS_TAGS_NI]) {
					echo stripslashes($this->WPSEOS_META_NOINDEX) . "\n";
				} else {
					echo stripslashes($this->WPSEOS_META_INDEX) . "\n";
				}
				$current_tag = $this->dp_wpa_single_tag_title("", false);
				echo '<meta name="description" content="' . __('Archives for the ', $this->WPSEOS_TEXTDOMAIN) . $this->dp_wpa_single_tag_title("", false) . __(' tag at ', $this->WPSEOS_TEXTDOMAIN) . $this->dp_wpa_get_bloginfo('name') . '" />' . "\n";

			} elseif ($this->dp_wpa_is_date()) {
			
				if ($this->plugin_options[$this->WPSEOS_DATES_NI] and ($this->dp_wpa_get_global_paged() > 1)) {
					echo stripslashes($this->WPSEOS_META_NOINDEX) . "\n";
				} else {
					echo stripslashes($this->WPSEOS_META_INDEX) . "\n";
				}

			} elseif ($this->dp_wpa_is_archive()) {

				$this->write_page_title();
				if ($this->plugin_options[$this->WPSEOS_ARCHIVES_NI] and ($this->dp_wpa_get_global_paged() > 1)) {
					echo stripslashes($this->WPSEOS_META_NOINDEX) . "\n";
				} else {
					echo stripslashes($this->WPSEOS_META_INDEX) . "\n";
				}
			}
			
			if ($this->plugin_options[$this->WPSEOS_GOOGLE_WEBMASTERS] != '') {
				$this->plugin_options[$this->WPSEOS_GOOGLE_WEBMASTERS] = $this->wpseos_spinthis($this->plugin_options[$this->WPSEOS_GOOGLE_WEBMASTERS]);
				echo stripslashes($this->plugin_options[$this->WPSEOS_GOOGLE_WEBMASTERS]) . "\n";
			}

			if ($this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS] != '' and $this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS_HF] == $this->WPSEOS_GOOGLE_ANALYTICS_H) {
				$this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS] = $this->wpseos_spinthis($this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS]);
				$output = stripslashes($this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS]);
				echo  "$output\n";
			}
		}

		function write_page_title($page_title = '') {
			if (trim($page_title) != '') {
				$page_title = $this->wpseos_spinthis($page_title);
				echo '<title>' . stripslashes($page_title) . "</title>\n";
			} else {
				echo '<title>';
				$this->dp_wpa_wp_title();
				echo ' ';
				if ($this->plugin_options[$this->WPSEOS_TITLE_BLOGNAME]) {
					if ($this->plugin_options[$this->WPSEOS_TITLE_SEP] != '') {
						echo stripslashes($this->plugin_options[$this->WPSEOS_TITLE_SEP]);
						echo ' ';
					}
					$this->dp_wpa_bloginfo('name');
				}
				echo "</title>\n";
			}
		}

		function write_page_keywords($page_keywords = '') {
			if (trim($page_keywords) != '') {
				$page_keywords = $this->wpseos_spinthis($page_keywords);
				echo '<meta name="keywords" content="' . stripslashes($page_keywords) . '" />' . "\n";
			}
		}
		
		function write_page_description($page_description = '') {
			if (trim($page_description) != '') {
				$page_description = $this->wpseos_spinthis($page_description);
			} else {
				$page_description = $this->wpseos_spinthis(strip_tags($this->dp_wpa_get_global_post_content()));
				$page_description = str_replace(array("\r\n", "\r", "\n", "  "), " ", $page_description);
				$page_description = stripslashes($page_description);
				$word_array = explode(" ", $page_description);
				$meta_desc = '';
				$i = 0;
				foreach ($word_array as $word) {
					$meta_desc = $meta_desc . $word . ' ';
					$i++;
					if ($i > $this->WPSEOS_METADESC_WORDS) {
						break;
					}
				}
				$page_description = $meta_desc . "...";
			}
			echo '<meta name="description" content="' . stripslashes($page_description) . '" />' . "\n";
		}

		function write_page_css($page_css = '') {
			if ($page_css != '') {
				$page_css = $this->wpseos_spinthis($page_css);
				echo '<link rel="stylesheet" href="' . $this->dp_wpa_get_bloginfo('template_url') . '/' . stripslashes($page_css) . '" type="text/css" media="screen" />' . "\n";
			}
		}
		
		function wp_footer_intercept(){
			if ($this->plugin_options[$this->WPSEOS_FOOTER_MENU]) {
				if (class_exists('wpseos_footer')) {
					$wpseos_footer = new wpseos_footer();
				}
				$wpseos_footer->wpseos_footer_build();
			}

			if ($this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS] != '' and $this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS_HF] == $this->WPSEOS_GOOGLE_ANALYTICS_F) {
				$output = stripslashes($this->plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS]);
				echo  "$output\n";
			}
		}

		function wp_list_pages_intercept($output){
			$pages = $this->dp_wpa_get_pages();
			if (!$pages )
				return $output;
		
			$pattern = $this->WPSEOS_REGEX_AHREF;
			preg_match_all($pattern, $output, $links);
			$output = preg_replace($pattern, "[insertlink]", $output);

			$page_array = array();
			
			foreach ($pages as $page) {
				$page_array[] = array ( 'id' => $page->ID, 'link' => $this->dp_wpa_get_permalink($page->ID) );
			}
			
			foreach ($page_array as $single_page) {
				$page_options = $this->wpseos_get_page_options($single_page['id']);
				if (is_array($page_options)) {
					if ($page_options[$this->WPSEOS_PAGE_NOFOLLOW]) {
						$nofollow = false;
						if ($page_options[$this->WPSEOS_PAGE_NOFOLLOW] == $this->WPSEOS_PAGE_NOFOLLOW_ALL) {
							$nofollow = true;
						} else if ($page_options[$this->WPSEOS_PAGE_NOFOLLOW] == $this->WPSEOS_PAGE_NOFOLLOW_NMI) {
							if (!$this->dp_wpa_isthishome()) {
								$nofollow = true;
							}
						}
						if ($nofollow) {
							$keys = $this->wpseos_search_array($single_page['link'], $links[1]);
							foreach ($keys as $key) {
								foreach ($key as $found_key) {
									$links[0][$found_key] = stripslashes($this->dp_wpa_wp_rel_nofollow($links[0][$found_key]));
								}
							}
						}
					}
				}
			}
			if ($this->plugin_options[$this->WPSEOS_MAIN_INDEX_HOMENF]) {
				$keys = $this->wpseos_search_array($this->dp_wpa_get_option('home'), $links[1]);
				foreach ($keys as $key) {
					foreach ($key as $found_key) {
						$links[0][$found_key] = stripslashes($this->dp_wpa_wp_rel_nofollow($links[0][$found_key]));
					}
				}
			}
			foreach ($links[0] as $link) {
				$output = preg_replace("/\[insertlink\]/", $link, $output, 1);
			}
			return $output;
		}

		function the_content_intercept($content){
			$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());
			$link_block_pages = $this->build_cross_post_links($page_options[$this->WPSEOS_PAGE_LINKS]);
			$link_block_posts = $this->build_cross_post_links($page_options[$this->WPSEOS_POST_LINKS]);
			if ($link_block_pages != '' or $link_block_posts != '') {
				if ($this->dp_wpa_is_page()) {
					$content = $content . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_PAGE_H]) . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_GROUP_B]) . $link_block_pages . $link_block_posts . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_GROUP_A]);
				} elseif ($this->dp_wpa_is_single()) {
						$content = $content . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_POST_H]) . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_GROUP_B]) . $link_block_posts . $link_block_pages . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_GROUP_A]);
				}
			}
			return $content;
		}
		
		function build_cross_post_links($link_posts = array()) {
			if (!is_array($link_posts)) {
				return '';
			}
			$link_block_pages = '';
			foreach ($link_posts as $link_post) {
				if ($link_post[$this->WPSEOS_LINK] != '') {
					$page = $this->dp_wpa_wp_get_single_post(trim($link_post[$this->WPSEOS_LINK]));
					if ($page and $page->ID > 0) {
						if (trim($link_post[$this->WPSEOS_ANCHOR]) != '') {
							$page->post_title = $this->dp_wpa_wp_specialchars(trim($link_post[$this->WPSEOS_ANCHOR]));
						} else {
							$page->post_title = $this->dp_wpa_wp_specialchars($page->post_title);
						}
						$page->post_title = stripslashes($page->post_title);
						$page->post_title = $this->wpseos_spinthis($page->post_title);
						$link_block_pages = $link_block_pages . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_EACH_B]) . '<a href="' . $this->dp_wpa_get_permalink($page->ID) . '">'.$page->post_title.'</a>' . stripslashes($this->plugin_options[$this->WPSEOS_XLINK_EACH_A]);
					}
				}
			}
			return $link_block_pages;
		}

		function nofollow_cat_links_intercept($output) {
			if (($this->plugin_options[$this->WPSEOS_CATEGORY_PAGE_NF] and $this->dp_wpa_is_page() and !$this->dp_wpa_isthishome()) or ($this->plugin_options[$this->WPSEOS_CATEGORY_POST_NF] and $this->dp_wpa_is_single()) or ($this->plugin_options[$this->WPSEOS_CATEGORY_PAGES_NF] and $this->dp_wpa_is_category())) {
				$pattern = $this->WPSEOS_REGEX_AHREF;
				preg_match_all($pattern, $output, $links);
				$output = preg_replace($pattern, "[insertlink]", $output);
				$cat_link = array();
				if ($this->plugin_options[$this->WPSEOS_CATEGORY_POST_NF] and $this->dp_wpa_is_single()) {
					$wpseoscategories = $this->dp_wpa_get_the_category($this->dp_wpa_get_global_post_id());
					foreach ($wpseoscategories as $wseoscategory) {
						$cat_link[] = $this->dp_wpa_get_category_link($wseoscategory->cat_ID);
					}
				}
				$i = 0;
				foreach ($links[0] as $link) {
					if (array_search($links[1][$i], $cat_link) === false) {
						$link = stripslashes($this->dp_wpa_wp_rel_nofollow($link));
					}
					$output = preg_replace("/\[insertlink\]/", $link, $output, 1);
					$i++;
				}
			}
			return $output;
		}
		
		function nofollow_post_cat_links_intercept($output) {
			if (($this->plugin_options[$this->WPSEOS_CATEGORY_PAGE_NF] and $this->dp_wpa_is_page() and !$this->dp_wpa_isthishome()) or ($this->plugin_options[$this->WPSEOS_CATEGORY_PAGES_NF] and $this->dp_wpa_is_category())) {
				$output = str_replace('rel="category tag"', 'rel="category tag, nofollow"', $output);
				$output = str_replace('rel="category"', 'rel="category, nofollow"', $output);
			}
			return $output;
		}
		
		function nofollow_tag_links_intercept($output) {
			if ($this->WPSEOS_TAGS_NI) {
				$output = str_replace('rel="tag"', 'rel="tag, nofollow"', $output);
			}
			return $output;
		}
		
		function the_posts_intercept($posts){
			return $posts;
		}

		function loginout_intercept($link){
			return stripslashes($this->dp_wpa_wp_rel_nofollow($link));
		}

		function register_intercept($link){
			return stripslashes($this->dp_wpa_wp_rel_nofollow($link));
		}
		
		function single_post_title_intercept($title) {
			$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());
			if ($page_options[$this->WPSEOS_PAGE_TITLE] != '') {
				$title = $this->wpseos_spinthis($page_options[$this->WPSEOS_PAGE_TITLE]);
			}
			return $title;
		}
		
		function wp_title_intercept($title) {
			$sep = ' &raquo; ';
			$title = preg_replace('/'.$sep.'/', '', $title, 1);
			if ($this->dp_wpa_isthishome() and trim($this->plugin_options[$this->WPSEOS_MAIN_INDEX_PT]) != '') {
				$title = trim($this->wpseos_spinthis(stripslashes($this->plugin_options[$this->WPSEOS_MAIN_INDEX_PT])));
			}
			if ($this->plugin_options[$this->WPSEOS_TITLE_BLOGNAME]) {
				if ($this->plugin_options[$this->WPSEOS_TITLE_SEP] != '') {
					$sep = trim($this->wpseos_spinthis($this->plugin_options[$this->WPSEOS_TITLE_SEP]));
					$sep = " $sep ";
				}
				if ($title != '') {
					$title = $title . $sep . $this->dp_wpa_get_bloginfo('name');
				} else {
					$title = $this->dp_wpa_get_bloginfo('name');
				}
			} else {
				if ($title == '') {
					$title = $this->dp_wpa_get_bloginfo('name');
				}
			}
			return $title;
		}
		
		function get_pages_intercept($pages) {
			if (strpos($_SERVER['REQUEST_URI'], 'wp-admin') !== false) {
				return $pages;
			}
			$include_pages = array();
			foreach ($pages as $page) {
				$page_options = $this->wpseos_get_page_options($page->ID);
				if (!$page_options[$this->WPSEOS_PAGE_HIDE]) {
					$include_pages[] = $page;
				}
			}
			return $include_pages;
		}
		
		function action_wp_hookin($wp){
			if ($this->dp_wpa_is_page() or $this->dp_wpa_is_single()) {
				$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());
				if ($page_options[$this->WPSEOS_PAGE_301] != '') {
					header("Location: ".$page_options[$this->WPSEOS_PAGE_301], TRUE, 301);
				}
			}
			return $wp;
		}
		
		function get_no_default_options($options) {
			$options[$this->WPSEOS_ROBOTS_ADDITIONAL] = (string) $_POST[$this->WPSEOS_ROBOTS_ADDITIONAL];
			$options[$this->WPSEOS_MAIN_INDEX_PT] = (string) $_POST[$this->WPSEOS_MAIN_INDEX_PT];
			$options[$this->WPSEOS_XLINK_PAGE_H] = (string) $_POST[$this->WPSEOS_XLINK_PAGE_H];
			$options[$this->WPSEOS_XLINK_POST_H] = (string) $_POST[$this->WPSEOS_XLINK_POST_H];
			$options[$this->WPSEOS_FOOTER_MENU] = (string) $_POST[$this->WPSEOS_FOOTER_MENU];
			$options[$this->WPSEOS_FOOTER_SEP] = (string) $_POST[$this->WPSEOS_FOOTER_SEP];
			$options[$this->WPSEOS_FOOTER_B] = (string) $_POST[$this->WPSEOS_FOOTER_B];
			$options[$this->WPSEOS_FOOTER_A] = (string) $_POST[$this->WPSEOS_FOOTER_A];
			$options[$this->WPSEOS_GOOGLE_WEBMASTERS] = (string) $_POST[$this->WPSEOS_GOOGLE_WEBMASTERS];
			$options[$this->WPSEOS_GOOGLE_ANALYTICS] = (string) $_POST[$this->WPSEOS_GOOGLE_ANALYTICS];
			$options[$this->WPSEOS_MAIN_KEYWORDS] = (string) $_POST[$this->WPSEOS_MAIN_KEYWORDS];
			$options[$this->WPSEOS_MAIN_DESCRIPTION] = (string) $_POST[$this->WPSEOS_MAIN_DESCRIPTION];
			$options[$this->WPSEOS_XLINK_GROUP_B] = (string) $_POST[$this->WPSEOS_XLINK_GROUP_B];
			$options[$this->WPSEOS_XLINK_GROUP_A] = (string) $_POST[$this->WPSEOS_XLINK_GROUP_A];
			$options[$this->WPSEOS_XLINK_EACH_B] = (string) $_POST[$this->WPSEOS_XLINK_EACH_B];
			$options[$this->WPSEOS_XLINK_EACH_A] = (string) $_POST[$this->WPSEOS_XLINK_EACH_A];
		return $options;
		}
		
		function clean_links_array($links, $anchors) {
			$out_array = array();
			if (!is_array($links) or !is_array($anchors)) {
				return $out_array;
			}
			$i = 0;
			foreach ($links as $key => $value) {
				if (trim($value) != '') {
					$out_array[] = array($this->WPSEOS_LINK => $value, $this->WPSEOS_ANCHOR => $anchors[$i]);
				}
				$i++;
			}
			return $out_array;
		}
		
		function output_main_admin_page(){
			$plugin_options = $this->get_plugin_options();
			if (isset($_POST[$this->WPSEOS_SUBMIT_INFO_UPDATE])) {
				$plugin_options = array();
				$plugin_options[$this->WPSEOS_MAIN_INDEX_NI] = (bool) $_POST[$this->WPSEOS_MAIN_INDEX_NI];
				$plugin_options[$this->WPSEOS_CATEGORIES_NI] = (bool) $_POST[$this->WPSEOS_CATEGORIES_NI];
				$plugin_options[$this->WPSEOS_CATEGORY_PAGES_NF] = (bool) $_POST[$this->WPSEOS_CATEGORY_PAGES_NF];
				$plugin_options[$this->WPSEOS_CATEGORY_POST_NF] = (bool) $_POST[$this->WPSEOS_CATEGORY_POST_NF];
				$plugin_options[$this->WPSEOS_CATEGORY_PAGE_NF] = (bool) $_POST[$this->WPSEOS_CATEGORY_PAGE_NF];
				$plugin_options[$this->WPSEOS_DATES_NI] = (bool) $_POST[$this->WPSEOS_DATES_NI];
				$plugin_options[$this->WPSEOS_ARCHIVES_NI] = (bool) $_POST[$this->WPSEOS_ARCHIVES_NI];
				$plugin_options[$this->WPSEOS_MAIN_INDEX_HOMENF] = (bool) $_POST[$this->WPSEOS_MAIN_INDEX_HOMENF];
				$plugin_options[$this->WPSEOS_FOOTER_MENU] = (bool) $_POST[$this->WPSEOS_FOOTER_MENU];
				$plugin_options[$this->WPSEOS_FOOTER_MENU_HOME] = (bool) $_POST[$this->WPSEOS_FOOTER_MENU_HOME];
				$plugin_options[$this->WPSEOS_FOOTER_MENU_HOMENF] = (bool) $_POST[$this->WPSEOS_FOOTER_MENU_HOMENF];
				$plugin_options[$this->WPSEOS_FOOTER_MENU_LOGIN] = (bool) $_POST[$this->WPSEOS_FOOTER_MENU_LOGIN];
				$plugin_options[$this->WPSEOS_FOOTER_MENU_COPY] = (bool) $_POST[$this->WPSEOS_FOOTER_MENU_COPY];
				$plugin_options[$this->WPSEOS_TAGS_NI] = (bool) $_POST[$this->WPSEOS_TAGS_NI];
				$plugin_options[$this->WPSEOS_TAGS_NI] = (bool) $_POST[$this->WPSEOS_TAGS_NI];
				$plugin_options[$this->WPSEOS_TITLE_BLOGNAME] = (bool) $_POST[$this->WPSEOS_TITLE_BLOGNAME];
				$plugin_options[$this->WPSEOS_TITLE_SEP] = (string) $_POST[$this->WPSEOS_TITLE_SEP];
				$plugin_options[$this->WPSEOS_GOOGLE_ANALYTICS_HF] = (string) $_POST[$this->WPSEOS_GOOGLE_ANALYTICS_HF];
				$plugin_options = $this->get_no_default_options($plugin_options);
				$this->dp_wpa_update_option($this->WPSEOS_PLUGIN_OPTIONS_NAME, $plugin_options);
				$this->dp_wpa_fade_options_message(__('Options saved.', $this->WPSEOS_TEXTDOMAIN));
			}
			if (isset($_POST[$this->WPSEOS_SUBMIT_LOAD_AGGRESSIVE])) {
				$plugin_options = $this->load_aggressive_defaults();
				$plugin_options = $this->get_no_default_options($plugin_options);
				$this->dp_wpa_update_option($this->WPSEOS_PLUGIN_OPTIONS_NAME, $plugin_options);
				$this->dp_wpa_fade_options_message(__('Aggressive profile options saved.', $this->WPSEOS_TEXTDOMAIN));
			}
			if (isset($_POST[$this->WPSEOS_SUBMIT_LOAD_MODERATE])) {
				$plugin_options = $this->load_moderate_defaults();
				$plugin_options = $this->get_no_default_options($plugin_options);
				$this->dp_wpa_update_option($this->WPSEOS_PLUGIN_OPTIONS_NAME, $plugin_options);
				$this->dp_wpa_fade_options_message(__('Moderate profile options saved.', $this->WPSEOS_TEXTDOMAIN));
			}
			if (isset($_POST[$this->WPSEOS_SUBMIT_LOAD_MILD])) {
				$plugin_options = $this->load_mild_defaults();
				$plugin_options = $this->get_no_default_options($plugin_options);
				$this->dp_wpa_update_option($this->WPSEOS_PLUGIN_OPTIONS_NAME, $plugin_options);
				$this->dp_wpa_fade_options_message(__('Mild profile options saved.', $this->WPSEOS_TEXTDOMAIN));
			}

			require_once('wpseos-admin.php');

			}
		
		function wpseos_save_edit_form($id) {
			$page_options = array (
				$this->WPSEOS_PAGE_FOOTER_MENU => (bool) $_POST[$this->WPSEOS_PAGE_FOOTER_MENU],
				$this->WPSEOS_PAGE_NOFOLLOW => (string) $_POST[$this->WPSEOS_PAGE_NOFOLLOW],
				$this->WPSEOS_PAGE_NOINDEX => (bool) $_POST[$this->WPSEOS_PAGE_NOINDEX],
				$this->WPSEOS_ROBOTS_ADDITIONAL => (string) $_POST[$this->WPSEOS_ROBOTS_ADDITIONAL],
				$this->WPSEOS_PAGE_TITLE => (string) $_POST[$this->WPSEOS_PAGE_TITLE],
				$this->WPSEOS_PAGE_KEYWORDS => (string) $_POST[$this->WPSEOS_PAGE_KEYWORDS],
				$this->WPSEOS_PAGE_DESCRIPTION => (string) $_POST[$this->WPSEOS_PAGE_DESCRIPTION],
				$this->WPSEOS_PAGE_CSS => (string) $_POST[$this->WPSEOS_PAGE_CSS],
				$this->WPSEOS_PAGE_301 => (string) $_POST[$this->WPSEOS_PAGE_301],
				$this->WPSEOS_PAGE_HIDE => (bool) $_POST[$this->WPSEOS_PAGE_HIDE],
				$this->WPSEOS_PAGE_LINKS =>  $this->clean_links_array($_POST[$this->WPSEOS_PAGE_LINK], $_POST[$this->WPSEOS_PAGE_ANCHOR]),
				$this->WPSEOS_POST_LINKS => $this->clean_links_array($_POST[$this->WPSEOS_POST_LINK], $_POST[$this->WPSEOS_POST_ANCHOR])
			);
			$this->dp_wpa_update_post_meta($id, $this->WPSEOS_PAGE_OPTIONS, serialize($page_options));
		}
		
		function wpseos_edit_page_form() {
			$url = $_SERVER['REQUEST_URI'];
			$id = 0;
			if ( isset($_REQUEST['post']) ) {
				$id = $_REQUEST['post'];
			}
			if (strpos($url, $this->DP_WPA_PAGE_EDIT_URL) !== false or strpos($url, $this->DP_WPA_PAGE_NEW_URL) !== false or $this->dp_wpa_get_post_status($id) == $this->DP_WPA_STATIC) {
				$this->wpseos_edit_page_options();
			} else {
				if (strpos($url, $this->DP_WPA_POST_EDIT_URL) !== false or strpos($url, $this->DP_WPA_POST_NEW_URL) !== false) {
					$this->wpseos_edit_post_options();
				}
			}
		}

		function wpseos_edit_page_options() {
			$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());

			require_once('wpseos-page.php');

			}

		function wpseos_edit_post_options() {
			$page_options = $this->wpseos_get_page_options($this->dp_wpa_get_global_post_id());

			require_once('wpseos-post.php');

		}

	}
}
?>