<?php
?>
<div id="wpseosdiv" class="postbox ">
<h3><?php echo $this->WPSEOS_PLUGIN_NICE_NAME . ' ' . __('Post Options', $this->WPSEOS_TEXTDOMAIN); ?></h3>
<div class="inside">
<fieldset class="options">
<legend><?php _e('Spider Directives', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Prevent bots from spidering this post ("noindex"):', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="checkbox" name="<?php echo $this->WPSEOS_PAGE_NOINDEX; ?>" value="checkbox" <?php if ($page_options[$this->WPSEOS_PAGE_NOINDEX]) echo "checked='checked'"; ?>/>
<span style="font-size:80%"><?php _e("Careful. Select this option only if you do not want this post to be indexed by the spiders at all.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Additional ROBOTS directives:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_ROBOTS_ADDITIONAL; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_ROBOTS_ADDITIONAL])); ?>" />
<br />
<span style="font-size:80%"><?php _e("Example: noodp, noarchive, noydir, nofollow. <u>Do not</u> include \"noindex\" in this text box.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Post META', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Post TITLE tag:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_TITLE; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_TITLE])); ?>" />
<br />
<span style="font-size:80%"><?php _e('The WordPress page title will be used if you leave this box empty.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Post META keywords:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_KEYWORDS; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_KEYWORDS])); ?>" />
<br />
<span style="font-size:80%"><?php _e('Keywords separated by commas.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Post META description:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_DESCRIPTION; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_DESCRIPTION])); ?>" />
<br />
<span style="font-size:80%"><?php _e("The first ", $this->WPSEOS_TEXTDOMAIN); echo $this->WPSEOS_METADESC_WORDS; _e(" words of the post's text content will be used if you leave this box empty.", $this->WPSEOS_TEXTDOMAIN); ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Post Styling', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Custom page CSS file:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_CSS; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_CSS])); ?>" />
<br />
<span style="font-size:80%"><?php _e('This CSS file will be added into the &lt;head&gt; section of the page. The file must be located in the active Theme folder. Enter only the CSS file name, with no path (eg., custom_page.css). Ensure that your Theme CSS is called before wp_head() otherwise this styling might not take effect.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Post 301 Redirection', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('301 redirect this post to:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_301; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_301])); ?>" />
<br />
<span style="font-size:80%"><?php _e('Enter the full destination URL to perform a 301 redirection (permanently moved) on this post.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Post(s) That This Post Links To', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row">&nbsp;</th>
<td valign="top"> 
<span style="font-size:80%"><?php _e('The following two sections are where you design the <i>Tiered Pairing</i> or <i>Circular Navigation</i> spider structure of your site. Look up the Post or Page Number(s) that this post must link to on the Manage Posts and Manage Pages screens, and enter the numbers here.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<?php
for ($i = 0; $i < 5; $i++) {
?>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Post number:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" size="5" name="<?php echo $this->WPSEOS_POST_LINK . '[]'; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_POST_LINKS][$i][$this->WPSEOS_LINK])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Anchor text:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_POST_ANCHOR . '[]'; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_POST_LINKS][$i][$this->WPSEOS_ANCHOR])); ?>" />
<br />
<span style="font-size:80%"><?php _e('Leave blank for Post Title to be used.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<?php
}
?>
</table>
</fieldset>

<fieldset class="options">
<legend><?php _e('Page(s) That This Post Links To', $this->WPSEOS_TEXTDOMAIN) ?></legend>
<table width="100%" class="form-table niceblue" cellspacing="0" cellpadding="6">
<?php
for ($i = 0; $i < 5; $i++) {
?>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Page number:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" size="5" name="<?php echo $this->WPSEOS_PAGE_LINK . '[]'; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_LINKS][$i][$this->WPSEOS_LINK])); ?>" />
</td>
</tr>
<tr>
<th style="text-align:right" width="45%" valign="top" align="right" scope="row"><?php _e('Anchor text:', $this->WPSEOS_TEXTDOMAIN) ?></th>
<td valign="top"> 
<input type="text" style="width:100%" name="<?php echo $this->WPSEOS_PAGE_ANCHOR . '[]'; ?>" value="<?php echo stripslashes(htmlentities($page_options[$this->WPSEOS_PAGE_LINKS][$i][$this->WPSEOS_ANCHOR])); ?>" />
<br />
<span style="font-size:80%"><?php _e('Leave blank for Page Title to be used.', $this->WPSEOS_TEXTDOMAIN) ?></span>
</td>
</tr>
<?php
}
?>
</table>
</fieldset>
<p style="text-align:center"><strong>Important:</strong> The content of all the text boxes above can be spun if you have the <a href="http://www.wpspinner.com/" target="_blank">WP Spinner</a> plugin installed and activated.</p>
</div>
</div>
